package locales

import "context"

type LocaleCreatedObserver interface {
	OnLocaleCreated(ctx context.Context, locale *Locale) (delayedTaskID string, err error)
}

type LocaleUpdatedObserver interface {
	OnLocaleUpdated(ctx context.Context, before, locale *Locale) (delayedTaskID string, err error)
}

type LocaleDeletedObserver interface {
	OnLocaleDeleted(ctx context.Context, locale *Locale) (delayedTaskID string, err error)
}
